'compiler'에 해당하는 글 1건

pip 로 특정 패키지 설치시 Visual C++ 컴파일러를 요구하는 오류 메시지가 발생할 수 있다.


error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/


하지만 링크를 따라가면... Visual C++ 14.0 에 대응하는 Visual Studio 버전이 뭔지를 알아야...ㅋㅋ 윈도우 계열 개발을 해본 적이 없어서 참 어리버리하구용... 모를 땐 최신버전이지... 하고 Visual Studio 2019 Build Tools 를 깔으려 했더니 6.4G 필요하단다... ㅡ.ㅡ 



파이썬 사이트(https://wiki.python.org/moin/WindowsCompilers)에 보면 Visual Studio 버전별 컴파일러를 잘 설명해 놨다.


Microsoft Visual C++ 14.2 standalone: Build Tools for Visual Studio 2019 (x86, x64, ARM, ARM64)

Microsoft Visual C++ 14.2 with Visual Studio 2019 (x86, x64, ARM, ARM64)

Microsoft Visual C++ 14.1 standalone: Build Tools for Visual Studio 2017 (x86, x64, ARM, ARM64)

Microsoft Visual C++ 14.1 with Visual Studio 2017 (x86, x64, ARM, ARM64)

Microsoft Visual C++ 14.0 standalone: Visual C++ Build Tools 2015 (x86, x64, ARM)

Microsoft Visual C++ 14.0 with Visual Studio 2015 (x86, x64, ARM)

Microsoft Visual C++ 10.0 standalone: Windows SDK 7.1 (x86, x64, ia64)

Microsoft Visual C++ 10.0 with Visual Studio 2010 (x86, x64, ia64)





얘도 뭐... 3G 이긴 한데...


만약 setuptools 패키지 버전이 설치 요건보다 낮다면, 호환성 향상을 위해 setuptools 를 업그레이드 해야 한다.


> pip install --upgrade setuptools
cs


Python... 다른 언어들하고 호환되는 건 너무 좋은데 뭐 이렇게 필요한게 많냐...




WRITTEN BY
손가락귀신
정신 못차리면, 벌 받는다.

트랙백  0 , 댓글  0개가 달렸습니다.
secret